## fracplanet 0.4.0

=== debian/changelog ===
fracplanet (0.4.0-1.1ubuntu2) precise; urgency=low

  * Add glu.h includes to build against qt4.8 (LP: #935091)

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 25 Feb 2012 19:07:54 +0100

fracplanet (0.4.0-1.1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + Only build-depends on libqt4-opengl-dev on amd64 1386 powerpc since there
      in no opengl on arm archs in Ubuntu

 -- Stephan Adig <sh@sourcecode.de>  Thu, 27 Oct 2011 10:03:03 +0000

fracplanet (0.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Switch to non-versioned boost build-dependencies.  
    (Closes: #630439).

 -- Steve M. Robbins <smr@debian.org>  Sat, 23 Jul 2011 00:17:17 -0500

fracplanet (0.4.0-1ubuntu1) oneiric; urgency=low

  * Bump boost build-depends to 1.46
  * Only build-depends on libqt4-opengl-dev on amd64 1386 powerpc since there
    in no opengl on arm archs in Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Sat, 06 Aug 2011 00:26:52 -0400

fracplanet (0.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #577085)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 20 Aug 2010 16:10:30 +0200
