=== debian/control ===
Source: fracplanet
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7), libqt4-dev, qt4-qmake, libboost-program-options-dev, xsltproc, libqt4-opengl-dev [amd64 i386 powerpc]
Standards-Version: 3.9.1
Homepage: http://www.bottlenose.demon.co.uk/share/fracplanet/

Package: fracplanet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: blender
Description: Fractal planet generator
 This is an interactive tool for creating random fractal planets and terrain
 areas with oceans, rivers, lakes and icecaps. The results can be exported as
 models to POV-Ray and to Blender, or as texture maps for more general usage.
