## fracplanet 0.5.1

=== debian/changelog ===
fracplanet (0.5.1-6build5) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:02 +0200

fracplanet (0.5.1-6build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:38 +0200

fracplanet (0.5.1-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:28 +1100

fracplanet (0.5.1-6build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:24:55 +0000

fracplanet (0.5.1-6build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:49:10 +0100

fracplanet (0.5.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Archive, Repository.

  [ Jonathan Carter ]
  * Update standards version to 4.6.1
  * Update project homepage (Closes: #980808)
  * Upgrade to debhelper-compat level 13

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 08:35:54 +0200

fracplanet (0.5.1-5) unstable; urgency=medium

  * Initial source-only upload
  * Update standards version to 4.4.0

 -- Jonathan Carter <jcc@debian.org>  Tue, 09 Jul 2019 09:38:44 +0000

fracplanet (0.5.1-4) unstable; urgency=medium

  * No change upload.

 -- Jonathan Carter <jcc@debian.org>  Sun, 24 Mar 2019 09:09:38 +0000

fracplanet (0.5.1-3) unstable; urgency=medium

  * Adopting package (Closes: #922896)
  * Upgrade to debian-compat (=12)
  * Update standards version to 4.3.0
  * Initiate git repository on salsa.debian.net and set VCS fields

 -- Jonathan <jcc@debian.org>  Fri, 22 Feb 2019 11:12:36 +0000

fracplanet (0.5.1-2) unstable; urgency=medium

   * Changed libqt5opengl5-dev dependency for
     libqt5opengl5-desktop-dev. (Closes: #882469).
   * Correct typo error on Vcs-Git field.
   * Closes LP bugs (not closed due to migration blocking)
     (LP: #941062 ; LP: #926832).
   * Updated Standards-Version to 4.1.2.
   * Added DPKG_EXPORT_BUILDFLAGS and include buildflags.mk
     to hardening.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 07 Dec 2017 08:22:10 +0100

fracplanet (0.5.1-1) unstable; urgency=medium

   * New upstream version:
     - Removed unnecessary .patch files.
     + Added make-configure-file.patch to generate the
       configure file (with the build.sh content ).
     + Added make-subdivisions-param.patch to establish
       subdivisions parameter to 5 (it consumes less resources).
     + Make changes on debian/rules consequentely.
   * Added Vcs-Browser and Vcs-Git fields on debian/control.
   * Added mesa-common-dev on debian/control Build-Depends field
     (There is a compilation problem with 3 architectures: armel,
     armhf and powerpcspe).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 18 Nov 2017 17:06:12 +0100

fracplanet (0.4.0-6) unstable; urgency=medium

  * New maintainer (Closes: #661455).
    + Rewrite debian/copyright on format 1.0.
  * Migrated build to Qt5 (Closes: #874885 ; LP: #941062):
    + Changes build-depends to qtbase5-dev, qt5-qmake
      and libqt5opengl5-dev.
    + Add patch migrated-build-to-Qt5.patch.
    + Changed QTDIR on debian/rules.
  * Updated to Standards-Version 4.1.1.
  * Added debian/fracplanet.xpm (LP: #926832).
    + Added Icon field on debian/fracplanet.desktop file.
    + Install on usr/share/pixmaps: add on debian/rules.
  * Added keywords field on fracplanet.desktop file.
  * Added debian/watch file.
  * Repackaging the sources to add the version in the
    name of the directory.
  * Added hardening options on debian/rules.
  * Added fix-tipo-error.patch to fit tipo error.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 12 Nov 2017 08:13:24 +0100

fracplanet (0.4.0-5) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. Thanks to Reiner Herrmann <reiner@reiner-h.de>
    for the patch. (Closes: #829000)

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Oct 2016 23:04:52 +0100

fracplanet (0.4.0-4) unstable; urgency=medium

  [ Gert Wollny ]
  * QA upload.
  * cme fix dpkg-control
  * d/p/gcc-6: Add patch to fix compilation with gcc-6, Closes: #811642
  * Bump std-version to 3.9.8

  [ Gianfranco Costamagna ]
  * Bump compat level to 9.

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 09 Jul 2016 17:41:22 +0000

fracplanet (0.4.0-3) unstable; urgency=low

  * QA upload.
  * fix configure calling
  - use proper stamp file, avoiding recompilation (Closes: 653584)
  - use dpkg-buildflags
  - use correct variables to pass flags (thus respecting DEB_BUILD_OPTIONS)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 01 Jul 2012 16:36:55 +0200

fracplanet (0.4.0-2) unstable; urgency=low

  * QA upload.
  * Orphaned package, see #661455, set maintainer to Debian QA Group
  * Add missing include to fix FTBFS with Qt 4.8 (Closes: #662712)
    - Thanks to Andreas Moog from Ubuntu for the patch and to Felix Geyer for
      forwarding it

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 May 2012 22:38:42 -0400
