=== debian/control ===
Source: fracplanet
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (=13),
               qtbase5-dev,
               qt5-qmake,
               libboost-program-options-dev,
               xsltproc,
               libqt5opengl5-desktop-dev,
               mesa-common-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/fracplanet
Vcs-Git: https://salsa.debian.org/debian/fracplanet.git
Homepage: https://sourceforge.net/p/fracplanet/wiki/Home/

Package: fracplanet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: blender
Description: Fractal planet generator
 This is an interactive tool for creating random fractal planets and terrain
 areas with oceans, rivers, lakes and icecaps. The results can be exported as
 models to POV-Ray and to Blender, or as texture maps for more general usage.
